@font-face {
    font-family: "0xPropo";
    src: url("/assets/typefaces/sans/0xPropo-Medium.ttf") format("truetype");
    font-display: swap;
}

@font-face {
    font-family: "Barlow";
    src: url("/assets/typefaces/sans/Barlow-ExtraBold.woff2") format("woff2");
    font-weight: 800;
    font-display: swap;
}

@font-face {
    font-family: "Barlow";
    src: url("/assets/typefaces/sans/Barlow-ExtraBoldItalic.woff2")
        format("woff2");
    font-weight: 800;
    font-display: swap;
    font-style: italic;
}

@font-face {
    font-family: "Barlow";
    src: url("/assets/typefaces/sans/Barlow-Black.woff2") format("woff2");
    font-weight: 900;
    font-display: swap;
}

@font-face {
    font-family: "Barlow";
    src: url("/assets/typefaces/sans/Barlow-BlackItalic.woff2") format("woff2");
    font-weight: 900;
    font-display: swap;
    font-style: italic;
}

@font-face {
    font-family: "Fantasque Sans Mono";
    src: url("/assets/typefaces/mono/FantasqueSansMono-Regular.woff2")
        format("woff2");
    font-weight: 400;
    font-display: swap;
}

@font-face {
    font-family: "Fantasque Sans Mono";
    src: url("/assets/typefaces/mono/FantasqueSansMono-Bold.woff2")
        format("woff2");
    font-weight: 700;
    font-display: swap;
}

@font-face {
    font-family: "Fantasque Sans Mono";
    src: url("/assets/typefaces/mono/FantasqueSansMono-Italic.woff2")
        format("woff2");
    font-weight: 400;
    font-display: swap;
    font-style: italic;
}

@font-face {
    font-family: "Fantasque Sans Mono";
    src: url("/assets/typefaces/mono/FantasqueSansMono-BoldItalic.woff2")
        format("woff2");
    font-weight: 700;
    font-display: swap;
    font-style: italic;
}

body {
    font-family: "0xPropo", sans-serif;
    line-height: 1.6rem;
}

h1 {
    font-style: italic;
    letter-spacing: -0.01em;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    text-transform: uppercase;
}

h1 {
    font-size: 3.5rem;
    line-height: 3.5rem;
    font-family: "Barlow", sans-serif;
}

h2 {
    font-size: 2.5rem;
    line-height: 2.5rem;
    font-family: "Barlow", sans-serif;
}

h3 {
    font-size: 2rem;
    line-height: 2rem;
    font-family: "Barlow", sans-serif;
}

h4 {
    font-size: 1.25rem;
    line-height: 1.25rem;
    font-family: "Barlow", sans-serif;
}

h5 {
    font-size: 0.8rem;
    line-height: 0.8rem;
}

h6 {
    font-size: 0.6rem;
    line-height: 0.6rem;
}

.text-content {
    margin-block-end: 4rem;
    max-inline-size: 80ch;
    word-break: break-word;

    *:not(li) {
        margin-block-start: 1em;
    }
}
